标题 简介 公开时间
关联规则 关联知识 关联工具 关联文档 关联抓包
参考1(官网)
参考2
参考3
详情
[SAFE-ID: JIWO-2019-2356]   作者:凉笙 发表于[2019-04-12]

本文共 [5] 位读者顶过

中国蚁剑是一款开源的跨平台网站管理工具,它主要面向于合法授权的渗透测试安全人员以及进行常规操作的网站管理员。

4月12日凌晨,有用户在中国蚁剑GitHub上提交了issue,称发现中国蚁剑存在XSS漏洞,借此可引起RCE。据悉,该漏洞是因为在webshell远程连接失败时,中国蚁剑会返回错误信息,但因为使用的是html解析,导致xss漏洞。

当通过中国蚁剑连接webshell,出现连接失败情况时,中国蚁剑会返回错误信息,如下图:

而该信息并没有进行 XSS 保护,因此能够利用 js 调用 perl 便可反弹攻击者的shell。

反弹shell的exp (for perl)如下,使用base64编码:

base64_decode code

成功反弹攻击者shell:

在该漏洞问题被提出之后,中国蚁剑的作者在今天上午对该问题及时做出了响应,并且及时发布了中国蚁剑的新版本 AntSword v2.0.7.1。

[出自:jiwo.org]

在最新的版本中,为了防止插件中toastr出现类似问题, 修改了toastr可以输出html的特点,以后均不支持输出html。对于所有使用中国蚁剑旧版本的用户,建议及时更新到最新版本。

参考链接

1.https://github.com/AntSwordProject/antSword/issues/147

2.https://www.jianshu.com/p/6457e8b4a16b

评论

暂无
发表评论
 返回顶部 
热度(5)
 关注微信